# PrimitiveTime Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveTime:
[legend]

List of all members.

## Public Member Functions

| setValue ($time)
| setMin ($time)
| setMax ($time)
| setDefault ($time)
| importSingle ($scope)
| isEmpty ($scope)
| importMarried ($scope)
| import ($scope)
| importValue ($value)

## Public Attributes

const | HOURS = PrimitiveTimestamp::HOURS
const | MINUTES = PrimitiveTimestamp::MINUTES
const | SECONDS = PrimitiveTimestamp::SECONDS

## Private Member Functions

| isMarriedEmpty ($scope)
| checkLimits (Time $time)

## Detailed Description

Definition at line 15 of file PrimitiveTime.class.php.

## Member Function Documentation

PrimitiveTime::checkLimits | ( | Time $ | time | ) | `[private]`

Definition at line 169 of file PrimitiveTime.class.php.

References Time::toSeconds().

Referenced by importMarried(), and importSingle().

Here is the call graph for this function:

PrimitiveTime::import | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Definition at line 138 of file PrimitiveTime.class.php.

References isEmpty().

Here is the call graph for this function:

PrimitiveTime::importMarried | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Definition at line 101 of file PrimitiveTime.class.php.

References checkLimits(), BasePrimitive::import(), and isMarriedEmpty().

Here is the call graph for this function:

PrimitiveTime::importSingle | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Definition at line 73 of file PrimitiveTime.class.php.

References checkLimits(), and BasePrimitive::import().

Referenced by importValue().

Here is the call graph for this function:

PrimitiveTime::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 149 of file PrimitiveTime.class.php.

References BasePrimitive::$value, BasePrimitive::getName(), importSingle(), and Assert::isTrue().

Here is the call graph for this function:

PrimitiveTime::isEmpty | ( | $ | scope | ) |

Definition at line 93 of file PrimitiveTime.class.php.

References ComplexPrimitive::getState(), and isMarriedEmpty().

Referenced by import().

Here is the call graph for this function:

PrimitiveTime::isMarriedEmpty | ( | $ | scope | ) | `[private]`

Definition at line 162 of file PrimitiveTime.class.php.

Referenced by importMarried(), and isEmpty().

PrimitiveTime::setDefault | ( | $ | time | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveTime

Reimplemented from BasePrimitive.

Definition at line 64 of file PrimitiveTime.class.php.

References Assert::isTrue().

Here is the call graph for this function:

PrimitiveTime::setMax | ( | $ | time | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveTime

Reimplemented from RangedPrimitive.

Definition at line 51 of file PrimitiveTime.class.php.

References Assert::isTrue().

Here is the call graph for this function:

PrimitiveTime::setMin | ( | $ | time | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveTime

Reimplemented from RangedPrimitive.

Definition at line 38 of file PrimitiveTime.class.php.

References Assert::isTrue().

Here is the call graph for this function:

PrimitiveTime::setValue | ( | $ | time | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveTime

Reimplemented from BasePrimitive.

Definition at line 25 of file PrimitiveTime.class.php.

References Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

const PrimitiveTime::HOURS = PrimitiveTimestamp::HOURS

Definition at line 17 of file PrimitiveTime.class.php.

const PrimitiveTime::MINUTES = PrimitiveTimestamp::MINUTES

Definition at line 18 of file PrimitiveTime.class.php.

const PrimitiveTime::SECONDS = PrimitiveTimestamp::SECONDS

Definition at line 19 of file PrimitiveTime.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveTime.class.php